seamonkey(1)

NAME
seamonkey - an internet application suite (browser, mail, etc.)

SYNOPSIS
seamonkey [OPTIONS] [URL]

DESCRIPTION
SeaMonkey is an all-in-one Internet application suite (previously made popular by Netscape and Mozilla). It includes an Internet browser, advanced e-mail, newsgroup and feed client, a calendar, IRC client, HTML editor and a tool to inspect the DOM for web pages. It is derived from the application formerly known as Mozilla Application Suite.

OPTIONS
A summary of the options supported by seamonkey is included below.

  X11 options

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--g-fatal-warnings
    Make all warnings fatal

  SeaMonkey options

-h, -help
    Show summary of options.

-v, -version
    Print seamonkey version.

-P profile
    Start with profile.

-profile path
    Start with profile at path.

-CreateProfile profile_name
    Create a new profile in the default directory, but do not start the application. The profile will be named profile_name in the profile manager, the profile_name must not contain spaces. Do not run profile_name while running an instance of the application, you can use the -no-remote option to avoid connecting to a running instance.

-CreateProfile "profile_name profile_dir"
    The same, but creates a new profile in the profile_dir directory. Note profile_name and profile_dir are quoted together, and are separated by exactly 1 space.

-migration
    Start with import wizard (if you have proper import sources).

-ProfileManager
    Start with profile manager.

-no-remote
    Do not accept or send remote commands. Implies -new-instance.

-new-instance
    Open new instance, not a new window in running instance, which allows multiple copies of application to be open at a time.

-safe-mode
    Launches the application with all extensions disabled, for that launch only (extensions are not loaded, but are not permanently disabled in the extension manager data source).

-headless
    Runs SeaMonkey in headless mode, which is very useful for purposes such as debugging and automated testing.

-addressbook
    Open the address book at startup.

-compose [url]
    Compose a mail or news message. Options are specified as string "option='value,...',option=value,..." and include: from, to, cc, bcc, newsgroups, subject, body, message (file), attachment (file), format (html | text). Example: to=john@example.com,subject='Dinner tonight?'

-jsconsole
    Open the Browser Console.

-purgecaches
    Gecko (layout engine) has a JavaScript cache, which is not reset on startup, this clears it.

-edit [url]
    Start with editor (composer) for the given url (optional).

-mail, -news
    Open the Mail&News folder view.

-mail url
    Open the message specified by this url.

-offline
    Start with the offline mode. This option will only work if SeaMonkey is set to "detect automatically" the online/offline status on startup. To set this, go to Edit -> Preferences -> Mail & Newsgroups -> Network & Storage and in the "Offline" group choose "Detect automatically (if available)" in the "When starting up:" drop-down box.

-suiteconsole
    Open the Error Console.

-browser
    Open a browser window.

-private
    Open a private browsing window.

-new-window url
    Open url in a new browser window.

-new-tab url
    Open url in a new browser tab.

-url url
    Open the specified url.

-chrome chrome_url
    Load the specified chrome.

-register chrome_url
    Register the specified chrome, but do not start application.

-search term
    Search term with your default search engine.

-preferences
    Open Preferences window.

-remote command
    Execute command in an already running SeaMonkey process. For more info, see: http://www.mozilla.org/unix/remote.html

-silent
    Don't open default windows. Useful with those command-line arguments that open their own windows but don't already prevent default windows from opening.

VERSION
2.53.19

BUGS
To report a bug, please visit https://bugzilla.mozilla.org/

SEE ALSO
firefox(1), thunderbird(1)

AUTHORS

The SeaMonkey Team.
    https://www.seamonkey-project.org